commit:     44e3ae771a3aa414d91c4687cb707b2d16b32ff7
Author:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Wed Feb 20 12:50:03 2019 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Wed Feb 20 12:50:03 2019 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=44e3ae77

sci-biology/canu: add live package of a new tool

Package-Manager: Portage-2.3.61, Repoman-2.3.12
Signed-off-by: Martin Mokrejs <mmokrejs <AT> fold.natur.cuni.cz>

 sci-biology/canu/canu-9999.ebuild | 50 +++++++++++++++++++++++++++++++++++++++
 sci-biology/canu/metadata.xml     | 12 ++++++++++
 2 files changed, 62 insertions(+)

diff --git a/sci-biology/canu/canu-9999.ebuild 
b/sci-biology/canu/canu-9999.ebuild
new file mode 100644
index 000000000..bef85d20f
--- /dev/null
+++ b/sci-biology/canu/canu-9999.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit java-pkg-2 git-r3
+
+DESCRIPTION="Fork of a wgs-assembler for Oxfordnanopore and PacBio sequences"
+HOMEPAGE="http://canu.readthedocs.io/en/latest";
+EGIT_REPO_URI="https://github.com/marbl/canu.git";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+RDEPEND="
+       >=virtual/jre-1.8:*
+       dev-lang/perl
+       virtual/perl-File-Path
+       sci-visualization/gnuplot
+       "
+# =sci-biology/mhap-2.1.3 if we unbundle it
+DEPEND="${RDEPEND}
+       >=virtual/jdk-1.8:*
+       dev-java/ant-core
+       "
+
+# Perl 5.12.0, or File::Path 2.08
+# Java SE 8
+# https://github.com/marbl/MHAP uses Apache maven
+S="${WORKDIR}"/"${P}"
+
+# contains bundled mhap-2.1.3.jar, kmer, pbutgcns, FALCON
+
+src_compile(){
+       cd src || die
+       emake
+}
+
+src_install(){
+       # installs
+       #  /usr/bin
+       #  /usr/lib/libcanu.a
+       #  /usr/lib/site_perl/canu
+       #  /usr/share/java/classes/mhap-2.1.3.jar
+       rm -rf Linux-amd64/obj
+       insinto /usr
+       doins -r Linux-amd64/{bin,lib,share}
+}

diff --git a/sci-biology/canu/metadata.xml b/sci-biology/canu/metadata.xml
new file mode 100644
index 000000000..138cb7705
--- /dev/null
+++ b/sci-biology/canu/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Martin Mokrejs</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Biology Project</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to